"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var path_1 = __importDefault(require("path"));
module.exports = {
    publicFolder: path_1.default.join(__dirname, "public"),
    hostname: "localhost",
    favicon: path_1.default.join(__dirname, "favicon.ico"),
    port: 80,
    https: false,
    key: path_1.default.join(__dirname, "security", "server.key"),
    cert: path_1.default.join(__dirname, "security", "server.crt"),
    ca: path_1.default.join(__dirname, "security", "chain.pem"),
    bodyParser: true,
    encode: "utf-8",
    session: "",
    contents: [
        {
            key: /\.html$/,
            type: "text",
            contentType: "text/html",
        },
        {
            key: /\.js$/,
            type: "text",
            contentType: "application/javascript",
        },
        {
            key: /\.css$/,
            type: "text",
            contentType: "text/css",
        },
        {
            key: /\.ico$/,
            type: "bynary",
            contentType: "image/x-icon",
        },
        {
            key: /\.json$/,
            type: "text",
            contentType: "application/json",
        },
        {
            key: /\.svg$/,
            type: "binary",
            contentType: "image/svg+xml",
        },
        {
            key: /\.woff$/,
            type: "binary",
            contentType: "font/application/font-woff woff",
        },
        {
            key: /\.woff2$/,
            type: "binary",
            contentType: "application/font-woff2",
        },
        {
            key: /\.eot$/,
            type: "binary",
            contentType: "application/vnd.ms-fontobject eot",
        },
        {
            key: /\.ttf$/,
            type: "binary",
            contentType: "font/ttf",
        },
        {
            key: /\.mp4$/,
            type: "binary",
            contentType: "video/mp4",
        },
        {
            key: /\.flv$/,
            type: "binary",
            contentType: "video/x-flv",
        },
        {
            key: /\.map$/,
            type: "binary",
            contentType: "application/octet-stream",
        },
        {
            key: /\.jpg$/,
            type: "binary",
            contentType: "image/jpg",
        },
        {
            key: /\.png$/,
            type: "binary",
            contentType: "image/png",
        },
        {
            key: /\.jpeg$/,
            type: "binary",
            contentType: "image/jpeg",
        },
    ],
    gets: [],
    posts: [],
    "Access-Control-Allow-Origin": "*",
    "Access-Control-Allow-Headers": "Origin, X-Requested-With, Content-Type, Accept",
    simpleAuth: {
        enable: false,
        username: "",
        password: "",
        allowip: [],
    },
    auth0: {
        enable: false,
        AUTH0_DOMAIN: "",
        AUTH0_CLIENT_ID: "",
        AUTH0_CLIENT_SECRET: "",
        AUTH0_CALLBACK_URL: "",
    },
};
